<script lang="ts">
    import { categories } from "@/lib/stores";
    import type { Account, Transaction } from "@/utils/types";
	import { Button, Card, Dialog, H1, H2, H3, Label, Modal, TextField } from "attractions";
    import { createEventDispatcher } from "svelte";

	export let account: Account;
	export let selected: boolean;

	const dispatch = createEventDispatcher<{edit: Account, click: Account}>();

	function edit_click(e: CustomEvent<{ nativeEvent: MouseEvent }>) {
		// Stop the mouse event so that card-wrapper click doesn't trigger
		e.detail.nativeEvent.stopPropagation();
		dispatch("edit", account)
	}
</script>

<div class="card-wrapper" on:click={() => dispatch("click", account)}>
	<Card outline={selected}>
		<div class="card-content">
			{#if account.category}
				<div class="business" title="Céges számla">
					<i class="material-icons">business</i>
				</div>
			{/if}
			<div class="name">
				<H3>{account.name}</H3>
				<div class="edit-button">
					<Button round neutral on:click={edit_click}>
						<i class="material-icons">edit</i>
					</Button>
				</div>
			</div>
			<div class="balance">
				<H1>{account.balance} Ft</H1>
			</div>
			<Label>{account.number}</Label>
		</div>
	</Card>
</div>

<style>
	.card-wrapper {
		width: 350px;
		transition: .3s scale;
	}
	.card-wrapper:hover {
		scale: 1.05;
		cursor: pointer;
	}
	.card-content {
		position: relative;
		display: flex;
		flex-direction: column;
	}
	.business {
		position: absolute;
		top: 12px;
		right: 12px;
	}
	.name {
		display: flex;
		column-gap: 6px;
		align-items: center;
	}
	.balance {
		margin-bottom: -.5em;
		/* padding-left: 30px; */
	}
	.edit-button {
		margin-bottom: .3em;
	}
</style>